## com.gargoylesoftware.htmlunit
Interface Page

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  HtmlPage, JavaScriptPage, SgmlPage, TextPage, UnexpectedPage, XHtmlPage, XmlPage

    public interface Page

extends java.io.Serializable

An abstract page that represents some content returned from a server.

Version:
  $Revision: 4756 $
Author:
  Mike Bowler, David K. Taylor, Marc Guillemot

Method Summary
`void` `cleanUp()` Clean up this page.
`WebWindow` `getEnclosingWindow()` Returns the window that this page is sitting inside.
`WebResponse` `getWebResponse()` Returns the web response that was originally used to create this page.
`void` `initialize()` Initialize this page.

Method Detail

### initialize

    void initialize()
                    throws java.io.IOException

  Initialize this page. This method gets called when a new page is loaded and you should probably never need to call it directly.

  Throws:
    `java.io.IOException` - if an IO problem occurs

### cleanUp

    void cleanUp()
                 throws java.io.IOException

  Clean up this page. This method gets called by the web client when an other page is loaded in the window and you should probably never need to call it directly

  Throws:
    `java.io.IOException` - if an IO problem occurs

### getWebResponse

    WebResponse getWebResponse()

  Returns the web response that was originally used to create this page.

  Returns:
    the web response

### getEnclosingWindow

    WebWindow getEnclosingWindow()

  Returns the window that this page is sitting inside.

  Returns:
    the enclosing window

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.